Name:           hercstudio
Version:        1.1.0
Release:        1%{?dist}
Summary:        GUI front-end to the Hercules mainframe Emulator

Group:          Applications/Emulators
License:        GPLv3+
URL:            http://www.mvsdasd.org/hercstudio/
Source0:        http://www.mvsdasd.org/hercstudio/herculesstudio-%{version}-src.tar.gz
Source1:        %{name}.desktop
# backport to QT 4.2
Patch0:         %{name}-qt42.patch
Patch1:         %{name}-vector.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils
Requires:       hercules >= 3.06-2


%description
GUI front-end to the Hercules mainframe Emulator.


%prep
%setup -q -n HerculesStudio
%patch0 -p2 -b .qt42
%patch1 -p1 -b .vector

# remove first line from ui file iff it starts with <?xml ...>
find . -name \*.ui | xargs sed -i '1{/<?xml/d}'


%build
%{_libdir}/qt4/bin/qmake -unix QMAKE_CFLAGS="%{optflags}" QMAKE_CXXFLAGS="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

install -p -m 755 HerculesStudio $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 HercStudio/icons/tray.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/hercstudio.xpm

desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/HerculesStudio
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*


%changelog
* Sat Jan 16 2010 Dan Horák <dan[at]danny.cz> - 1.1.0-1
- update to 1.1.0

* Fri Oct 16 2009 Dan Horák <dan[at]danny.cz> - 1.0.0-1
- update to 1.0.0

* Wed Sep 30 2009 Dan Horák <dan[at]danny.cz> - 1.0-0.2.beta.1
- backport to QT 4.2

* Mon Sep  7 2009 Dan Horák <dan[at]danny.cz> - 1.0-0.2.beta
- add patch for panel buttons from upstream

* Mon Sep  7 2009 Dan Horák <dan[at]danny.cz> - 1.0-0.1.beta
- initial Fedora version
